# CategoryCollection

[This is preliminary documentation and subject to change.]

Contains a collection of Category items.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
id | string | The ID used to be referenced later. | False
refid | string | The ID to use as the reference. | False

### Nested Elements:

#### <import>

Adds a Category to the end of the collection.

Represents a certain group of test cases or fixtures.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
name | string | A name of a category, or comma-separated list of names. | True
if | bool | If true then the category will be processed; otherwise, skipped. The default is true. | False
unless | bool | If true then the category will be skipped; otherwise, processed. The default is false. | False

#### </import>

### Requirements

Assembly: NAnt.NUnit2Tasks (0.85.1932.0)